Attribute VB_Name = "modMain"
Option Explicit
Option Compare Binary
Option Base 0


' Some constants
Public Const MsgBoxTitle As String = "LaunchTool"


' Main startup routine
Public Sub Main()

    ' Initialise program definitions
    modConfig.InitConfig
    
    ' Load the engine configurations
    modConfig.LoadEngines App.Path & "\engines"
    
    ' Load or write new configuration
    If Dir$(ConfigPath) = "" Then
        Config.SaveConfiguration ConfigPath
    Else
        modConfig.LoadConfig
    End If

    ' Load the autodetect configuration
    DetectIWADs.LoadConfiguration App.Path & "\autodetect.cfg"
    

    ' Load all forms
    Load frmMain
    Load frmSetup
    Load frmEngineSettings
    Load frmDemoSave
    Load frmCredits
    
    
    ' Setup form data
    frmSetup.SetupLists
    
    ' Display main form
    frmMain.Show
    
End Sub


' Quit the program
Public Sub Quit()

    ' Save program config
    modConfig.SaveConfig

    ' Unload all forms (in reverse order)
    Unload frmCredits
    Unload frmDemoSave
    Unload frmEngineSettings
    Unload frmSetup
    Unload frmMain
    
    ' Fin.
    End

End Sub
